Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
langtuchangti

Nhờ Viết Lisp: Đổi Trục Tọa Độ Theo Cạnh Chọn Trên Màn Hình

Các bài được khuyến nghị

Như tiêu đề em dã viết em muốn viết một lisp như sau:

+ lệnh "rs"

+ chọn phương của trục x theo phương của một đường thẳng chọn trên màn hình (và tất nhiên trục y thì luôn vuông góc với trục x rồi)

+ lệnh" rd" để trở về hệ trục tọa độ ban đầu

(em cũng biết một cách làm từ lệnh mặc định của cad nhưng làm như vậy hay lâu)

+ em xin cảm ơn mọi sự giúp đỡ !!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thử cái này xem:

(defun c:rd () (setvar 'SNAPANG 0) (princ))
(defun c:rs  (/ pt1 pt2)
 (and (setq pt1 (getpoint "\nFirst point: "))
      (setq pt2 (getpoint pt1 "\nSecond point: "))
      (setvar 'SNAPANG (angle pt1 pt2)))
 (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Bạn thử cái này xem:

(defun c:rd () (setvar 'SNAPANG 0) (princ))
(defun c:rs  (/ pt1 pt2)
 (and (setq pt1 (getpoint "\nFirst point: "))
      (setq pt2 (getpoint pt1 "\nSecond point: "))
      (setvar 'SNAPANG (angle pt1 pt2)))
 (princ))

em thử rồi sao khồng được nhỉ, anh có thể xem lại được không.em cảm ơn anh

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×